uuid: 157a7306-f124-4225-bb7b-1f3f3a3ff2d5
langcode: en
status: true
dependencies: {  }
id: upgrade_d6_node_revision_raw
migration_tags:
  - 'Drupal 6'
migration_group: migrate_drupal_6
label: 'Node revisions (raw)'
source:
  plugin: d6_node_revision
  node_type: raw
process:
  nid: nid
  vid: vid
  langcode:
    plugin: default_value
    source: language
    default_value: und
  title: title
  uid: node_uid
  status: status
  created: created
  changed: changed
  promote: promote
  sticky: sticky
  body/format:
    plugin: migration
    migration: upgrade_d6_filter_format
    source: format
  body/value: body
  body/summary: teaser
  revision_uid: revision_uid
  revision_log: log
  revision_timestamp: timestamp
  field_description:
    plugin: iterator
    source: field_description
    process:
      value: value
      format:
        -
          plugin: static_map
          bypass: true
          source: format
          map:
            - null
        -
          plugin: skip_on_empty
          method: process
        -
          plugin: migration
          migration:
            - upgrade_d6_filter_format
            - upgrade_d7_filter_format
          source: format
  field_file:
    plugin: d6_cck_file
    source: field_file
  field_location: field_location
  field_searchedwords:
    plugin: iterator
    source: field_searchedwords
    process:
      value: value
      format:
        -
          plugin: static_map
          bypass: true
          source: format
          map:
            - null
        -
          plugin: skip_on_empty
          method: process
        -
          plugin: migration
          migration:
            - upgrade_d6_filter_format
            - upgrade_d7_filter_format
          source: format
destination:
  plugin: 'entity_revision:node'
  default_bundle: raw
migration_dependencies:
  required:
    - upgrade_d6_node_raw
  optional: {  }
